<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<link rel="stylesheet"
		href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
		crossorigin="anonymous" />

	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
		integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
		integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
		crossorigin="anonymous"></script>
	<script>
		$( document ).ready(function() {
		    $('#myModal').modal('toggle')
		});
	</script>
	<script type="text/javascript">
    function handleLoginRequest(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlg2').jq.effect("shake", {times:5}, 100);
        }
       
    }
</script>
</h:head>

<h:body>
	<!-- Modal HTML -->


	<div id="myModal" class="modal fade" style="margin-top: 5%;" data-backdrop="static" data-keyboard="false">
		<div class="modal-dialog modal-login">
			<div class="modal-content">
				<h:form>

				<div class="modal-header" style="display: flex;    justify-content: center;">
					<h4  style="text-align: center;">Identificate como Admin</h4>
				</div>
						    <div class="ui-fluid" style="padding:30px">
						     <div class="p-field p-grid">
						    		<p:messages id="messages" showDetail="false">
								        <p:autoUpdate />
								    </p:messages>
				    			</div>
						        <div class="p-field p-grid">
						            <p:outputLabel  styleClass="p-col-12 p-md-2" value="Usuario" style="font-size: 20px;font-weight: 700;"/>
						            <div class="p-col-12 p-md-10">
						                <p:inputText id ="nick" value="#{LoginAdmin.nick}"  required="true"/>
						                
						            </div>
						            <div class="p-col-12 p-md-10">
						               <p:message for="nick" />					                
						            </div>
						        </div>
						        <div class="p-field p-grid">
						            <p:outputLabel  styleClass="p-col-12 p-md-2" value="Password" style="font-size: 20px;font-weight: 700;"/>
						            <div class="p-col-12 p-md-10">					          
						                <p:inputText id="pass" type="password" value="#{LoginAdmin.pass}"  required="true"/>
						                
						            </div>
						             <div class="p-col-12 p-md-10">
						               <p:message for="pass" />					                
						            </div>
						        </div>
						    </div>
						<div class="form-group" style="text-align: center;padding: 20px;">
						
							<p:commandButton  type="submit" update=":growl" class="btn btn-primary" action="#{LoginAdmin.login()}" oncomplete="handleLoginRequest(xhr, status, args)" value="Ingresar" ajax = "false" />		
						</div>
				</h:form>
			</div>
		</div>
	</div>
</h:body>


</html>